Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Ikumi Keita <[email-masked]>
Date: Sun, 08 Apr 2018 23:00:33 +0900

Hi Liyu,

>>>>> Liyu Gong <[email-masked]> writes:
> Hi Ikumi,
> The results is: "c:/cygwin64/bin/kpsewhich.exe"   !!!!!!!!!

> Sorry, I must messed up somewhere in my system. Thank you so much!

In your message of Apr 7 with Message-ID:
[email-masked]
, you wrote

> I do have cygwin installed, so I tried add the following two lines in my init.el

> (setenv "PATH" (concat "C:\\cygwin64\\bin;C:\\cygwin64\\lib;" (getenv "PATH")))
> (setq exec-path (append '("C:/cygwin64/bin" "C:/cygwin64/lib") exec-path))

Maybe these lines still remain in your init.el.

And it seems that kpsewhich binary of cygwin discards ".." from the
output of "kpsewhich --expand-path {.,..}", unlike other OSes.

Best,
Ikumi Keita